Name: wget 
Version: 1.20.3
Release: 3
License: GPL-3.0-or-later
Summary: Open source tool for getting remote files 
Url: https://www.gnu.org/software/wget

BuildRequires: openssl-devel >= 1.1.1
BuildRequires: zlib-devel
BuildRequires: pcre2-devel

# Because wget is now built against openssl1_1 versions that have ENGINE
# support enabled, need to ensure that a version of OpenSSL built with ENGINE
# support enabled is installed
Requires: libopenssl1_1 >= 1.1.1-5


Source0: http://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz

Patch0: wget-changes.patch
Patch1: wget-ssl_init_fails.patch

%description
GNU Wget is a free software package for retrieving files using HTTP, HTTPS and FTP, the most widely-used Internet protocols. It is a non-interactive commandline tool, so it may easily be called from scripts, cron jobs, terminals without X-Windows support, etc. 

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build

%configure \
  ac_cv_func_sched_setscheduler=no \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --without-libpsl \
  --with-metalink \
  --with-ssl=openssl \
  --with-openssl \
  --with-libssl-prefix=%{_prefix} \
  # end

%make_build

%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/wget
%{_sysconfdir}/wgetrc
%{_infodir}/wget.info*

%{_mandir}/man1/wget.1*

%changelog
* Tue Oct 27 2020 Vasili Skurydzin <vasili.skurydzin@ibm.com> - 1.20.3
- Build with PCRE2 instead of PCRE

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.20.3
- Use generic paths for man and info pages to allow for compression

* Mon Nov 25 2019 Kevin Adler <kadler@us.ibm.com> - 1.20.3
- Prevent detection of broken sched_setscheduler, fixing IBM i 7.2 build
- Remove unneeded CPPFLAGS and LDFLAGS

* Fri Nov 22 2019 Xu Meng <mengxumx@cn.ibm.com> - 1.20.3
- Fix a openssl 1.1.1 fail issue when openssl.cnf is not found

* Wed Nov 13 2019 Mark Irish <mirish@ibm.com> - 1.20.3
- Require a version of libopenssl1_1 with ENGINE support

* Wed Aug 07 2019 Mark Irish <mirish@ibm.com> - 1.20.3
- Upgrade to version 1.20.3 (required for openssl-dev >= 1.1.1)
- Update openssl-dev >= 1.1.1
- Fixes the following vulnerabilities:
- CVE-2016-4971

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove charset.alias file

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove gcc wrappers
- Add build requirements
- Use CPPFLAGS instead of CFLAGS

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove old TODOs

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
